Subject: Re: bug#61619: 30.0.50; Emacs on Android cannot type or display CJK characters

From: Po Lu <[email-masked]>
Date: Sun, 19 Feb 2023 20:19:43 +0800

Eli Zaretskii <[email-masked]> writes:

>> Cc: [email-masked]
>> Date: Sun, 19 Feb 2023 19:06:16 +0800
>> From:  Po Lu via "Bug reports for GNU Emacs,
>>  the Swiss army knife of text editors" <[email-masked]>
>> 
>> Most of my testing was done with PingFang SC.  I am attaching a version
>> instructed with ttfautohint.
>
> That attachment file was 21MB large!  Please don't post such large
> attachments in public responses, please either upload it to some
> place, or send off-list to people who ask for that explicitly.

I didn't realize, my bad.  I had fixed Emacs to mmap fonts into memory
and somehow concluded that the actual memory usage of all of that font's
tables afterwards (~2 MB) was the actual size of the font file.

Sorry about that.